<div>
    <h2 id="page-heading">
        <span>Card Privileges</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-card-privilege" [routerLink]="['/card-privilege/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Card Privilege
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cardPrivileges?.length === 0">
        <span>No cardPrivileges found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cardPrivileges && cardPrivileges.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Card Id</span></th>
                    <th scope="col" ><span>Card Name</span></th>
                    <th scope="col" ><span>Privilege Id</span></th>
                    <th scope="col" ><span>Privilege Name</span></th>
                    <th scope="col" ><span>Quota</span></th>
                    <th scope="col" ><span>Validity Period</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let cardPrivilege of cardPrivileges ;trackBy: trackId">
                    <td><a [routerLink]="['/card-privilege', cardPrivilege.id, 'view']">{{ cardPrivilege.id }}</a></td>
                    <td>{{ cardPrivilege.cardId }}</td>
                    <td>{{ cardPrivilege.cardName }}</td>
                    <td>{{ cardPrivilege.privilegeId }}</td>
                    <td>{{ cardPrivilege.privilegeName }}</td>
                    <td>{{ cardPrivilege.quota }}</td>
                    <td>{{ cardPrivilege.validityPeriod }}</td>
                    <td>{{ cardPrivilege.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/card-privilege', cardPrivilege.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/card-privilege', cardPrivilege.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(cardPrivilege)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
